Difference between revisions of "Semantic CorA for Administrators"

From Semantic CorA
Jump to: navigation, search
Line 2: Line 2:
  
 
=== Basic MW/SMW Installation ===  
 
=== Basic MW/SMW Installation ===  
 +
To install all extensions for MediaWiki, you should use PHP, a MySQL database and shell access to the server because for some extensions you have to use composer to install.
 
* [http://www.mediawiki.org/wiki/Download Download] a recent version of MediaWiki and follow the [http://www.mediawiki.org/wiki/Installation installation guide]
 
* [http://www.mediawiki.org/wiki/Download Download] a recent version of MediaWiki and follow the [http://www.mediawiki.org/wiki/Installation installation guide]
 
* Download and install the MW Extension [http://www.mediawiki.org/wiki/Extension:Semantic_MediaWiki Semantic MediaWiki] and further needed extensions of SMW:
 
* Download and install the MW Extension [http://www.mediawiki.org/wiki/Extension:Semantic_MediaWiki Semantic MediaWiki] and further needed extensions of SMW:
Line 22: Line 23:
  
 
=== Running Systems===  
 
=== Running Systems===  
We have several systems running with different versions of Semantic CorA.
+
We have several systems running, right now with MediaWiki 1.29 and SMW 2.5. Make sure to have an actual version of the software and take a look at the [https://www.mediawiki.org/wiki/Version_lifecycle version lifecycles of MediaWiki].
  
 
===Importing Semantic vocabularies into Semantic CorA===
 
===Importing Semantic vocabularies into Semantic CorA===
Line 33: Line 34:
  
 
For specific questions regarding the extensions, please follow at the extension page of Semanic CorA the link to the official extension pages of MediaWiki.-->
 
For specific questions regarding the extensions, please follow at the extension page of Semanic CorA the link to the official extension pages of MediaWiki.-->
__NOTOC__
 
 
__NOEDITSECTION__
 
__NOEDITSECTION__

Revision as of 18:16, 11 December 2017

Short Installation Guide

Basic MW/SMW Installation

To install all extensions for MediaWiki, you should use PHP, a MySQL database and shell access to the server because for some extensions you have to use composer to install.

Installation of CorA Extensions

An overview of the specific Semantic CorA extenions is given here. But follow the installation instruction at the official exension pages:

Running Systems

We have several systems running, right now with MediaWiki 1.29 and SMW 2.5. Make sure to have an actual version of the software and take a look at the version lifecycles of MediaWiki.

Importing Semantic vocabularies into Semantic CorA

Skin-Modifications for Semantic CorA Layout

See in detail on page Cora_Skin_implementation. The modifications are not needed to use the extensions and functionalities.